Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.table
Class DefaultTableCellRenderer

    java.lang.Object
      nextapp.echo2.app.table.DefaultTableCellRenderer

All Implemented Interfaces:
  java.io.Serializable, TableCellRenderer

    public class DefaultTableCellRenderer

extends java.lang.Object
implements TableCellRenderer

Default `TableCellRenderer` implementation.

See Also:
  Serialized Form

Constructor Summary
`DefaultTableCellRenderer()`

Method Summary
`Component` | `getTableCellRendererComponent(Table table, java.lang.Object value, int column, int row)` Returns a `Label` containing the toString() value of the model value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTableCellRenderer

    public DefaultTableCellRenderer()

Method Detail

### getTableCellRendererComponent

    public Component getTableCellRendererComponent(Table table,
                                                   java.lang.Object value,
                                                   int column,
                                                   int row)

  Returns a `Label` containing the toString() value of the model value. Returns null in the event the model value is null.

  Specified by:
    `getTableCellRendererComponent` in interface `TableCellRenderer`
  Parameters:
    `table` - the `Table` for which the rendering is occurring
    `value` - the value retrieved from the `TableModel` for the specified coordinate
    `column` - the column index to render
    `row` - the row index to render
  Returns:
    a component representation of the value (This component must be unique. Returning a single instance of a component across multiple calls to this method will result in undefined behavior.)
  See Also:
    `TableCellRenderer.getTableCellRendererComponent(nextapp.echo2.app.Table, java.lang.Object, int, int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD